//---------------------------------------------------------------------------

#ifndef FormMainH
#define FormMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include "LMDPNGImage.hpp"
#include <ComCtrls.hpp>
#include "VirtualTrees.hpp"
#include <ImgList.hpp>
#include <Graphics.hpp>    
#include "EditorUnit.h"
//---------------------------------------------------------------------------

#include "XString.h" 
#include <IniFiles.hpp>
#include <jpeg.hpp>


// Ini File ó
typedef struct tagIniData {
  TPropertyData Colunms[5];   // 0 -  , 1 - Key , 2-  , 3 - ġ..
} structIniData;


class TfrmMain : public TForm
{
__published:	// IDE-managed Components
	TShape *shpTitle;
	TLabel *lblTitle;
	TShape *Shape1;
	TLabel *Label1;
	TVirtualStringTree *VST;
	TButton *Button3;
	TComboBox *cbSection;
	TShape *shpBG;
	TImage *Image1;
	TLabel *lblTest;
	TImageList *ImageList1;
	TButton *Button1;
	void __fastcall shpTitleMouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
	void __fastcall shpTitleMouseDown(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall shpTitleMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
	void __fastcall VSTCreateEditor(TBaseVirtualTree *Sender, PVirtualNode Node,
          TColumnIndex Column, IVTEditLink *EditLink);
	void __fastcall VSTEditing(TBaseVirtualTree *Sender, PVirtualNode Node,
          TColumnIndex Column, bool &Allowed);
	void __fastcall VSTGetNodeDataSize(TBaseVirtualTree *Sender,
          int &NodeDataSize);
	void __fastcall VSTGetText(TBaseVirtualTree *Sender, PVirtualNode Node,
          TColumnIndex Column, TVSTTextType TextType, WideString &CellText);
	void __fastcall VSTKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall cbSectionChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TfrmMain(TComponent* Owner);
	void __fastcall getIniFileSection();                                        //   
	void __fastcall getIniFileData();                                           // Ini  .
	BOOL bDragState;
	int nMouseDownX, nMouseDownY;
	TVirtualNode * pNode;

	TIniFile *iniFile;
	PVirtualNode Node;
	XString strTest;
	String strDBName;

};

#define TITLE_WIDTH 	400        
#define TITLE_HEIGHT 	20

#define MAIN_WIDTH  	1024
#define MAIN_HEIGHT  	726

#define SYSTEM_WIDTH    300
#define SYSTEM_HEIGHT   20

#define LEFT_MARGIN 	5
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
